apiVersion: apps/v1
kind: Deployment
metadata:
  name: security-cis
  namespace: core
spec:
  replicas: 1
  selector:
    matchLabels:
      app: security-cis
      version: 'v1'
  template:
    metadata:
      labels:
        app: security-cis
        version: 'v1'
    spec:
      imagePullSecrets:
        - name: regcred
      affinity:
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - podAffinityTerm:
                labelSelector:
                  matchExpressions:
                    - key: app
                      operator: In
                      values:
                        - security-cis
                topologyKey: kubernetes.io/hostname
              weight: 100
      containers:
        - name: security-cis-app
          image: 116.203.2.204:443/plgregistry/security_cis:1.1.0bJENKINS_BUILD
          env:
            - name: CONFSERVICE_URL
              value: http://192.168.70.13:30288
          
            - name: CONFSERVICE_USER
              valueFrom:
                secretKeyRef:
                  name: confservice-secrets
                  key: username
            - name: CONFSERVICE_PASS
              valueFrom:
                secretKeyRef:
                  name: confservice-secrets
                  key: password
          
            - name: SPRING_MAIL_USERNAME
              valueFrom:
                secretKeyRef:
                  name: mail-secrets
                  key: username
            - name: SPRING_MAIL_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mail-secrets
                  key: password

            - name: SPRING_PROFILES_ACTIVE
              value: prod
            - name: JHIPSTER_SECURITY_AUTHENTICATION_JWT_BASE64_SECRET
              valueFrom:
                secretKeyRef:
                  name: jwt-secret-security-cis
                  key: secret
            - name: SPRING_DATASOURCE_URL
              value: jdbc:mysql://confservice-mysql.core.svc.cluster.local:3306/security_cis?useUnicode=true&characterEncoding=utf8&useSSL=false&useLegacyDatetimeCode=false&serverTimezone=UTC&createDatabaseIfNotExist=true&allowPublicKeyRetrieval=true

            - name: KAFKA_TRUSTSTORE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: kafka-secrets
                  key: truststore_pwd
            - name: KAFKA_KEYSTORE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: kafka-secrets
                  key: keystore_pwd
            - name: KAFKA_KEY_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: kafka-secrets
                  key: key_pwd
            - name: KAFKA_TRUSTSTORE_LOCATION
              value: /var/kafka_truststore/kafka.client.truststore.jks
            - name: KAFKA_KEYSTORE_LOCATION
              value: /var/kafka_keystore/kafka.client.keystore.jks

            - name: KAFKA_CONSUMER_KEY_DESERIALIZER
              value: 'org.apache.kafka.common.serialization.StringDeserializer'
            - name: KAFKA_CONSUMER_VALUE_DESERIALIZER
              value: 'org.apache.kafka.common.serialization.StringDeserializer'
            - name: KAFKA_PRODUCER_KEY_SERIALIZER
              value: 'org.apache.kafka.common.serialization.StringSerializer'
            - name: KAFKA_PRODUCER_VALUE_SERIALIZER
              value: 'org.apache.kafka.common.serialization.StringSerializer'

            - name: KAFKA_BOOTSTRAP_SERVERS
              value: SSL://static.180.8.203.116.clients.your-server.de:9093,SSL://static.194.8.203.116.clients.your-server.de:9093,SSL://static.240.8.203.116.clients.your-server.de:9093
            - name: KAFKA_SECURITY_PROTOCOL
              value: SSL 
            - name: KAFKA_ENABLED_PROTOCOL
              value: TLSv1.2 
            

            - name: KAFKA_CONSUMER_GROUP_ID
              value: 'security-cis'
            - name: KAFKA_CONSUMER_AUTO_OFFSET_RESET
              value: 'earliest'

            - name: JAVA_OPTS
              value: ' -Xmx256m -Xms256m'
          resources:
            requests:
              memory: '512Mi'
              cpu: '500m'
            limits:
              memory: '1Gi'
              cpu: '1'
          ports:
            - name: http
              containerPort: 8080
         
          volumeMounts:
          - mountPath: "/var/kafka_truststore"
            name: kafka-truststore
            readOnly: true
          - mountPath: "/var/kafka_keystore"
            name: kafka-keystore
            readOnly: true
      volumes:
        - name: kafka-truststore
          secret:
            secretName: kafka-truststore-secret
        - name: kafka-keystore
          secret:
            secretName: kafka-keystore-secret

